Descubren un nuevo fallo de seguridad en macOS con 15 años de antigüedad

Parece que Apple comienza el año 2018 de una manera muy similar a como acabó 2017, al menos en lo que se refiere a los nuevos fallos de seguridad que se vienen detectando en sus sistemas operativos de sobremesa, dejando de lado lo sucedido también en la última versión de iOS.

Decimos todo esto debido a que ahora un investigador especializado en seguridad y que suele buscar errores en el comentado iOS de la firma de la manzana mordida, acaba de descubrir y hacer públicos, los detalles de una vulnerabilidad que aún está sin parchear en macOS, sistema de los equipos de sobremesa de la firma. Y es que por medio de esta vulnerabilidad recientemente detectada, un posible atacante puede explotarla con el fin de tomar el control completo de un sistema macOS.

En concreto los detalles de todo ello se hicieron públicos el día de ayer, por lo que Apple no comienza el año de la mejor manera, al menos en este sentido. Lo publicó un investigador que usa el nombre on-line de Siguza y por lo que dio a conocer, por medio de este fallo un atacante podría tener acceso a un sistema aprovechando la nueva vulnerabilidad.

macOS Sierra

El experto lo ha descrito como un ataque de día cero que permite ejecutar código arbitrario y obtener permisos de root en macOS. De este modo esta vulnerabilidad de obtención de permisos afecta a IOHIDFamily, una extensión del núcleo diseñada para dispositivos de interfaz humana (HID), tales como una pantalla táctil o que funcione por medio de botones.

Nueva importante vulnerabilidad detectada en macOS

Mientras este investigador intentaba descubrir algunos fallos que le permitiesen hackear el kernel de iOS, el propio Siguza se dio cuenta de que algunos de estos componentes afectaban al mencionado IOHIDSystem que solo existe en macOS, lo que le llevó a identificar el agujero de seguridad en el sistema de equipos sobremesa. Cabe mencionar que este error afecta a todas las versiones de macOS y puede acarrear una vulnerabilidad arbitraria de lectura / escritura en el kernel.

Así, el exploit desactiva las funciones de seguridad de protección de integridad del sistema y la integridad de los archivos móviles de Apple, eso sí, para todo ello se requiere forzar la salida del usuario conectado, aunque se podría diseñar un exploit similar que se active cuando el equipo se apague o reinicie manualmente.

Parte de este código publicado por Siguza solo funciona en macOS High Sierra 10.13.1 y versiones anteriores, pero se cree que podría ser ajustado para que funcione también en la última versión, la 10.13.2. Lo curioso es que la vulnerabilidad ha existido desde al menos el pasado año 2002, por lo que podría tener hasta 15 años.

 Fuente:https://www.softzone.es/2018/01/02/fallo-seguridad-macos-15-anos/